Package org.eclipse.net4j.db

## Interface IDBConnectionProvider2

- All Superinterfaces:
    `IDBConnectionProvider`, `org.eclipse.net4j.util.security.IUserAware`
  All Known Subinterfaces:
    `IDBDatabase`

      public interface IDBConnectionProvider2
      extends IDBConnectionProvider, org.eclipse.net4j.util.security.IUserAware

  Provides a database `connection`, roughly comparable with a `data source`.
  Since:
    4.3
  Author:
    Eike Stepper

- - ### Method Summary

    - ### Methods inherited from interface org.eclipse.net4j.db.IDBConnectionProvider

      `getConnection`

    - ### Methods inherited from interface org.eclipse.net4j.util.security.IUserAware

      `getUserID`